how do i change my esp32 programmer to use esptool.py V2.8?

  1. how do i change my esp32 programmer to use esptool.py V2.8 mine is using v2.6

  2. when I reply to a post, how to I show the banner that you see during the original post, the banner with the buttons for code,bold,underline, and etc.

barryjo:
2) when I reply to a post, how to I show the banner that you see during the original post, the banner with the buttons for code,bold,underline, and etc.

Just click on Preview under the Quick Reply

Very good on question 2.

Now how about question 1

q1 is tricky - the tools get pulled in by board manager when you install the core, and board manager installs aren't meant to be readily human modifiable. Is there a reason that the version of esptool that came with the version of the core you are using isn't okay?

Klaus_K:
Just click on Preview under the Quick Reply

Or modify

I have been having some intermittent trouble upload code to my ESP32 when using the default esptool.py v2.6. I thought the updated version of the esptool might help.

There was a forum member that showed me some output when he did an upload and I noticed he had version 2.8 so I thought 2.8 might be better.

I have three ESP32s and two computers. When the uploading starts, Iget the ..........____ indication and I do not know what the dots and dashes mean. Do I have a module problem, a USB cable problem or what? I will try to get some more data tomorrow.

Sometimes the upload goes quickly with only a few "....."s then at other times I get a long string of ......._ etc and usually get an error.